APT-GET Problem

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von Marvin, 01.08.2007.

  1. Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    Hi, ich wollte mir xmoto 3.2 als Source holen, weil GetDeb die ja nicht mehr verwaltet dann kam bei configure die meldung, dass ich nicht installieren kann wegen libfreetype6 das braucht libc6 usw. und deshalb hab ich mir von den Debian Seiten libfreetype6 und libc6 geholt und LEIDER mit sudo dpkg -i installiert und dann ging nichts mehr wegen defekten Paketen...
    Dann habe ich auch noch ein nich älteres Paket geholt 3.2.1 oder so...
    Dann ging nichts mehr X war weg...
    Ich hab jetzt das neuste, dass meiste geht auch, aber ich hab ein Problem und zwar folgendes:

    Ich muss alle Programme deinstallieren wenn ich irgentetwas installieren will...

    Wie kann man "Code" einstellen?
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. defcon

    defcon Kaiser
    Moderator

    Dabei seit:
    22.08.2005
    Beiträge:
    1.486
    Zustimmungen:
    1
    Ort:
    Bruchsal
    Was für Fehlermeldungen?
    Welches System benutzt Du?
     
  4. #3 Goodspeed, 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Du nutzt Ubuntu? Dann solltest Dudie Finger von den Debian-Libs lassen ... da ist Ärger vorprogrammiert.

    1. Warum nutz Du nicht apt, sondern ziehst Dir das Zeugs per Hand?
    2. Da sicherliche apt aktuell auch nicht mehr geht, zieh Dir von der ubuntu-Seite nochmals das passende libc6-Paket für Dein Release und installier das per dpkg ... dann sollte wenigsten das Gröbste wieder funktionieren. am besten machste das für die libfreetype6 auch gleich ...

    Für Feisty wären das folgende Pakete:
    http://ftp.inf.tu-dresden.de/os/linux/dists/ubuntu/pool/main/g/glibc/libc6_2.5-0ubuntu14_i386.deb
    http://security.ubuntu.com/ubuntu/pool/main/f/freetype/libfreetype6_2.2.1-5ubuntu1.1_i386.deb

    Und wenn Dein System wieder rund läuft, erklärste das mit xmoto nochmal ...
     
  5. Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    @defcon: Apt zeigte da nur Fehlermeldungen...

    Fehlermeldung:

    marvin@UBUNTU-T40:~$ sudo apt-get install -f
    Password:
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Reading state information... Fertig
    Abhängigkeit werden korrigiert... Fertig
    The following packages were automatically installed and are no longer required:
    libopenexr2c2a enlightenment-data imlib11 ispell python-opengl libartsc0
    libmtp5 enlightenment-theme-simply-white libode0c2 libecore1-x
    libxfce4mcs-client3 wogerman bochsbios kdegames-card-data lincity-ng-data
    gimp-help-de germinate gstreamer0.10-plugins-ugly libavahi-compat-howl0
    gnome-bin libavahi-compat-libdnssd1 apt-zip libsdl-console libxvidcore4
    beryl-settings-bindings libecore1-con libatk1-ruby libbtctl4 mplayer-skins
    language-pack-kde-de libflac++5c2 fftw3 libgnome32 libecore1-ipc libexml1
    kdelibs-data libecore1-job libtagc0 iogerman python-2play apt-show-versions
    libmp4v2-0 qemu enlightenment-theme-darkness gnome-libs-data
    enlightenment-theme-kor gpe-icons libglib2-ruby python-pyode
    libboost-thread1.33.1 python-pyogg enlightenment-theme-clearlooks
    libcpufreq0 libart2 libgnorbagtk0 libboost-date-time1.33.1 gdk-imlib1
    libapt-pkg-perl pidgin-data libcurl3-gnutls gimp-help-common
    enlightenment-theme-gant libecore1-txt pump wswiss libeet0 libxfce4util4
    python-pyvorbis ruby1.8 apt-file libglibmm-2.4-1c2a python-editobj
    language-pack-kde-de-base gstreamer0.10-ffmpeg blt ruby python-tk libgmp3c2
    libggi2 libxml++2.6c2a python-sip4 libgii1 deborphan vgabios debfoster
    libgle3 icedax libwxbase2.8-0 libgnomeui32 wngerman libembryo0 poster
    libsamplerate0 libdb3 libtunepimp5 libifp4 libepeg0 libgii1-target-x netpbm
    libecore1-fb frozen-bubble-data libcrypto++5.2c2a wormux-data
    enlightenment-theme-blue-eyed planetpenguin-racer-data imlib-base ksysguardd
    psutils libsidplay1 libxvmc1 xsu liborbit0 gdk-imlib11 ingerman
    libmeanwhile1 libnetpbm10 pmount libmodplug0c2 amule-common libpulse0
    libgnomesupport0 liblrdf0 libgconfmm-2.6-1c2 fb-music-high
    libxfce4mcs-manager3 libzvt2 python-xlib libcal3d11c2a libberyldecoration0
    enlightenment-theme-cthulhain cpufrequtils myspell-de-ch
    enlightenment-theme-milky myspell-de-de myspell-de-at libntfs-3g4 liblame0
    enlightenment-theme ntfs-3g libefreet1 libnjb5 libofa0 libconfig-file-perl
    libltdl3 libgnorba27 libfaac0 sysfsutils
    Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
    Die folgenden Pakete werden ENTFERNT:
    accelerator3d alacarte amarok amarok-engines amarok-xine amule amule-utils
    amule-utils-gui apport-gtk arts artsbuilder at-spi atlantik atlantikdesigner
    audacity avg75fld banshee beryl beryl-manager beryl-plugins beryl-settings
    beryl-ubuntu bluez-cups bluez-gnome bluez-pin bonfire boo brasero brikx
    brltty-x11 bubblemon bug-buddy bum cairo-clock catfish cedega-small
    celestia-gnome closure-svn compiz compiz-fusion-plugins-extra
    compiz-fusion-plugins-main compiz-fusion-plugins-unofficial
    compiz-fusion-plugins-unsupported compiz-gnome compiz-plugins
    compiz-settings compizconfig-settings-manager computertemp
    contact-lookup-applet cupsys cupsys-driver-gutenprint deskbar-applet
    desktop-effects e17 earth3d eclair ecore1-bin edje0-bin emerald
    emerald-themes emodule-alarm emodule-cpu emodule-deskshow emodule-flame
    emodule-forecasts emodule-language emodule-mail emodule-mem emodule-mixer
    emodule-moon emodule-net emodule-news emodule-photo emodule-rain
    emodule-screenshot emodule-slideshow emodule-snow emodule-taskbar
    emodule-tclock emodule-uptime emodule-weather emodule-winselector
    emodule-wlan emodule0-alarm emodule0-cpu emodule0-deskshow emodule0-flame
    emodule0-forecasts emodule0-language emodule0-mail emodule0-mem
    emodule0-mixer emodule0-moon emodule0-net emodule0-photo emodule0-rain
    emodule0-screenshot emodule0-slideshow emodule0-snow emodule0-taskbar
    emodule0-tclock emodule0-uptime emodule0-weather emodule0-winselector
    emodule0-wlan emodules-all emodules0-all enlightenment entrance eog ephoto
    epiphany-browser epiphany-extensions estickies evince evolution-webcal
    ewl1-test exhibit extrackt f-spot file-roller firefox firefox-gnome-support
    firefox-libthai firefox-themes-ubuntu firestarter flock fontconfig
    foomatic-db-hpijs frozen-bubble gaim gcalctool gconf-editor gcursor gdebi
    gdesklets gdesklets-data gdm gdmap gedit gedit-plugins gfreqlet giblib1 gimp
    gimp-print gimp-python gksu glunarclock gnash gnash-cygnal gnash-tools
    gnome-about gnome-accessibility-themes gnome-accessibility-themes-extras
    gnome-app-install gnome-applets gnome-bluetooth gnome-btdownload
    gnome-compiz-manager gnome-control-center gnome-core gnome-cups-manager
    gnome-games gnome-icon-theme gnome-keyring gnome-keyring-manager gnome-mag
    gnome-main-menu gnome-media gnome-menus gnome-mount gnome-mplayer
    gnome-netstatus-applet gnome-nettool gnome-orca gnome-panel
    gnome-power-manager gnome-randr-applet gnome-screensaver gnome-session
    gnome-spell gnome-system-monitor gnome-system-tools gnome-terminal
    gnome-themes gnome-themes-extras gnome-user-guide gnome-utils
    gnome-volume-manager gnomebaker gnopernicus google-desktop-linux gparted
    gpe-julia gs-common gs-esp gs-esp-x gstreamer0.10-plugins-good
    gstreamer0.10-x gthumb gtk-recordmydesktop gtk2-engines gtk2-engines-murrine
    gtk2-engines-pixbuf gtk2-engines-spherecrystal gtk2-engines-ubuntulooks
    gtkhtml3.14 gucharmap gui-apt-key gxine hal-device-manager hardinfo
    hardware-monitor heliodor hpijs human-theme hwdb-client-gnome
    hwdb-client-kde hydrogen icewm imagemagick ircp-tray istanbul k3b k3b-i18n
    kaddressbook kappfinder kasteroids kate kate-plugins katomic kbackgammon
    kbattleship kblackbox kbounce kcontrol kde-core kde-i18n-de kde4base
    kde4toys kdeaddons-kfile-plugins kdeartwork-style kdeartwork-theme-window
    kdebase kdebase-bin kdebase-kio-plugins kdebluetooth kdebluetooth-irmcsync
    kdegames kdelibs kdelibs4c2a kdelibs5 kdelirc kdenetwork-filesharing
    kdepasswd kdepim-kio-plugins kdepimlibs5 kdeprint kdesktop kedit kenolaba
    kfind kfouleggs kgoldrunner khelpcenter kiba-dock kiba-plugins kiba-settings
    kicker kicker-applets kicker-compiz kiconedit kitchensync kjumpingcube klash
    klickety klines klipper kmahjongg kmail kmenuedit kmines kmobiletools
    knetwalk kolf konq-plugins konqueror konqueror-nsplugins konquest konsole
    kontact korganizer kpager kpat kpersonalizer kpoker kreversi ksame
    kscreensaver kscreensaver-xsavers kshisen ksig ksirtet ksmiletris ksmserver
    ksnake ksnapshot ksniffer ksokoban kspaceduel ksplash ksysguard ktip
    ktorrent ktron ktuberling kuickshow kwifimanager kwin kwin4
    language-selector language-support-de libarts1c2a libatspi1.0-0
    libavahi-qt3-1 libbonoboui2-0 libcairo-perl libcairo-ruby libcairo-ruby1.8
    libcairo2 libcairomm-1.0-1 libdbus-qt-1-1c2 libecore1-bin libecore1-config
    libecore1-evas libedataserverui1.2-8 libedje0 libedje0-bin libeel2-2
    libemeraldengine0 libemotion0 libemotion0-gstreamer libemotion0-xine
    libengrave0 libenhance0 libentrance-edit0 libepsilon0 libesmart0 libetk1
    libetk1-engine-all libetk1-engine-evas libetk1-engine-evas-software-x11
    libetk1-engine-evas-x11 libetk1-engine-fb libevas1 libevas1-all
    libevas1-engine-buffer libevas1-engine-fb libevas1-engine-gl-x11
    libevas1-engine-software-generic libevas1-engine-software-x11
    libevas1-engine-xrender libevas1-engines-all libevas1-loader-eet
    libevas1-loader-gif libevas1-loader-jpeg libevas1-loader-png
    libevas1-loader-svg libevas1-loader-tiff libevas1-loader-xpm
    libevas1-loaders-all libevas1-saver-eet libevas1-saver-jpeg
    libevas1-saver-png libevas1-saver-tiff libevas1-savers-all libewl1
    libewl1-engine-evas libewl1-engine-evas-buffer libewl1-engine-evas-fb
    libewl1-engine-evas-gl-x11 libewl1-engine-evas-software-x11
    libewl1-engine-evas-xrender libewl1-engine-x11 libewl1-engines-all
    libewl1-plugins libexchange-storage1.2-3 libexo-0.3-0 libfontconfig1
    libfreetype6 libfreetype6-dev libgail-common libgail-gnome-module libgail18
    libgconf2.0-cil libgd2-xpm libgdiplus libgdk-pixbuf2-ruby libgdl-1-0
    libgdl-1-common libgimp2.0 libgksu1.2-1 libgksu2-0 libgksuui1.0-1
    libglade2-0 libglade2.0-cil libglademm-2.4-1c2a libglib2.0-cil
    libgmime2.2-cil libgnash0 libgnome-compiz-manager0
    libgnome-compiz-manager0-dev libgnome-desktop-2 libgnome-keyring0
    libgnome-window-settings1 libgnome2-canvas-perl libgnome2-perl
    libgnome2.0-cil libgnomebt0 libgnomecanvas2-0 libgnomecanvasmm-2.6-1c2a
    libgnomecupsui1.0-1c2a libgnomekbd1 libgnomekbdui1 libgnomeprint2.2-0
    libgnomeprintui2.2-0 libgnomeui-0 libgpewidget1 libgpod1 libgs-esp8
    libgtk2-ex-volumebutton-perl libgtk2-gladexml-perl libgtk2-perl libgtk2-ruby
    libgtk2.0-0 libgtk2.0-bin libgtk2.0-cil libgtk2.0-common libgtkglext1
    libgtkhtml2-0 libgtkhtml3.14-19 libgtkmm-2.4-1c2a libgtksourceview1.0-0
    libgtkspell0 libgucharmap6 libgutenprintui2-1 libimlib2 libipod-cil
    libipoddevice0 libipodui-cil libk3b2 libk3b2-mp3 libkcal2b libkdegames1
    libkdepim1a libklash0 libkleopatra1 libkmime2 libkonq4 libkpimexchange1
    libkpimidentities1 libksieve0 libktnef1 liblaunchpad-integration0
    liblpint-bonobo0 libmagick9 libmetacity0 libmono-cairo1.0-cil
    libmono-cairo2.0-cil libmono-data-tds1.0-cil libmono-security1.0-cil
    libmono-sharpzip0.84-cil libmono-system-data1.0-cil
    libmono-system-web1.0-cil libmono-system1.0-cil libmono1.0-cil
    libmultisync-plugin-irmc libmultisync-plugin-irmc-bluetooth
    libnautilus-burn4 libnautilus-extension1 libnotify1 libpanel-applet2-0
    libpango1-ruby libpango1.0-0 libpango1.0-common libpoppler1 libpoppler1-glib
    libqt3-mt libqt4-core libqt4-gui libqt4-qt3support libqt4-sql librsvg2-2
    librsvg2-bin librsvg2-common libsdl-pango1 libsdl-perl libsdl-ttf2.0-0
    libsexy2 libslab0 libsoprano3 libtotem-plparser1 libtotem-plparser7 libvte9
    libwmf0.2-7 libwnck18 libwxgtk2.6-0 libwxgtk2.8-0 libxfcegui4-4 libxfont1
    libxft2 libxine1 libxklavier11 lincity-ng lskat lxp-icewm magicor metacity
    mozilla-firefox-locale-de-de mplayer multisync nautilus nautilus-actions
    nautilus-cd-burner nautilus-sendto netapplet netmon-applet network-manager
    network-manager-gnome noatun noatun-plugins notification-daemon ntfs-config
    onboard openoffice.org openoffice.org-base openoffice.org-calc
    openoffice.org-common openoffice.org-core openoffice.org-draw
    openoffice.org-evolution openoffice.org-filter-mobiledev
    openoffice.org-gnome openoffice.org-gtk openoffice.org-help-de
    openoffice.org-help-en-us openoffice.org-hyphenation-de
    openoffice.org-impress openoffice.org-java-common openoffice.org-l10n-de
    openoffice.org-l10n-en-za openoffice.org-math openoffice.org-style-human
    openoffice.org-thesaurus-de openoffice.org-thesaurus-de-ch
    openoffice.org-thesaurus-en-us openoffice.org-writer opera pessulus pidgin
    pidgin-libnotify planetpenguin-racer planetpenguin-racer-gimp-dev pnm2ppa
    poppler-utils python-at-spi python-cairo python-cairo-dev python-glade2
    python-gnome2 python-gnome2-desktop python-gnome2-extras python-gnomecanvas
    python-gtk2 python-gtkhtml2 python-imaging python-imaging-tk
    python-launchpad-integration python-notify python-pygame python-qt3
    python-qt4 python-soya python-uno python-vte qemulator qobex realplay
    restricted-manager rhythmbox rss-glx scim scim-gtk2-immodule
    scim-modules-table scim-tables-additional screensaver-default-images scrot
    sensors-applet serpentine skype slingshot slune snowball
    software-properties-gtk sound-juicer ssh-askpass-gnome startupmanager
    stellarium synaptic sysinfo tangerine-icon-theme tango-icon-theme-common
    taskbar-compiz thunderbird-locale-de tomboy totem totem-gstreamer
    totem-mozilla tsclient ttf-arphic-ukai ttf-thai-tlwg ubuntu-apt-utils
    ubuntu-artwork ubuntu-docs ubuntu-minimal ubuntustudio-theme update-manager
    update-notifier usplash-switcher vino virtualbox vlc vlc-nox vlc-plugin-alsa
    vlc-plugin-sdl wifi-radar wormux wpasupplicant wxvlc x-ttcidfont-conf
    xarchiver xbase-clients xclock xfce4-terminal xfd xfonts-100dpi xfonts-75dpi
    xfonts-base xfonts-scalable xfonts-utils xlogo xmoto xnetcardconfig xorg
    xorg-edit xsane xscreensaver-data xscreensaver-data-extra xscreensaver-gl
    xscreensaver-gl-extra xserver-xorg xserver-xorg-core xserver-xorg-input-all
    xserver-xorg-input-elographics xserver-xorg-input-evdev
    xserver-xorg-input-kbd xserver-xorg-input-mouse xserver-xorg-input-synaptics
    xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-ati
    xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-cyrix
    xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-glint
    xserver-xorg-video-i128 xserver-xorg-video-i740 xserver-xorg-video-i810
    xserver-xorg-video-imstt xserver-xorg-video-mga xserver-xorg-video-neomagic
    xserver-xorg-video-newport xserver-xorg-video-nsc xserver-xorg-video-nv
    xserver-xorg-video-rendition xserver-xorg-video-s3
    xserver-xorg-video-s3virge xserver-xorg-video-savage
    xserver-xorg-video-siliconmotion xserver-xorg-video-sis
    xserver-xorg-video-sisusb xserver-xorg-video-tdfx xserver-xorg-video-tga
    xserver-xorg-video-trident xserver-xorg-video-tseng
    xserver-xorg-video-unichrome xserver-xorg-video-v4l xserver-xorg-video-vesa
    xserver-xorg-video-vga xserver-xorg-video-vmware xserver-xorg-video-voodoo
    xterm xutils yelp zenity
     
  6. #5 Goodspeed, 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Ist logisch ... denn die von Dir "reingeprügelte" libc6 passt zu keinem anderen Paket ... und aufgrund der "nicht erfüllten" Abhängigkeit, will er die nunhalt runter werfen ...

    Also ... siehe meinen Post oben ...
     
  7. #6 Marvin, 01.08.2007
    Zuletzt bearbeitet: 01.08.2007
    Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    Kommt die gleiche Fehlermeldung...
    .
    .
    .
    EDIT (autom. Beitragszusammenführung) :
    .

    Jetzt kommt noch die Meldung...
    marvin@UBUNTU-T40:~/Desktop$ sudo apt-get install libfreetype6
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Reading state information... Fertig
    libfreetype6 ist schon die neueste Version.
    Sie möchten wahrscheinlich »apt-get -f install« aufrufen, um dies zu korrigieren:
    Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
    k3b: Hängt ab: libfreetype6 (>= 2.3.5) aber 2.2.1-5ubuntu1.1 soll installiert werden
    libcairo2: Hängt ab: libfreetype6 (>= 2.3.5) aber 2.2.1-5ubuntu1.1 soll installiert werden
    libfreetype6-dev: Hängt ab: libfreetype6 (= 2.3.5-1+b1) aber 2.2.1-5ubuntu1.1 soll installiert werden
    libk3b2: Hängt ab: libfreetype6 (>= 2.3.5) aber 2.2.1-5ubuntu1.1 soll installiert werden
    libk3b2-mp3: Hängt ab: libfreetype6 (>= 2.3.5) aber 2.2.1-5ubuntu1.1 soll installiert werden
    libxft2: Hängt ab: libfreetype6 (>= 2.3.5) aber 2.2.1-5ubuntu1.1 soll installiert werden
    E: Nichterfüllte Abhängigkeiten. Versuchen Sie »apt-get -f install« ohne jeglich Pakete (oder geben Sie eine Lösung an).

    Und beim start von synaptic:
    Ich kann das hier nicht reinschreiben weil kein Programm mehr startet...
     
  8. juan_

    juan_ König

    Dabei seit:
    22.01.2004
    Beiträge:
    992
    Zustimmungen:
    0
    Ort:
    Berlin
    und was sagt:
    Code:
    apt-get -f install
    
    ? (siehe fehlermeldung)

    ciao
     
  9. sinn3r

    sinn3r Law & Order
    Moderator

    Dabei seit:
    28.12.2006
    Beiträge:
    2.764
    Zustimmungen:
    0
    Ort:
    Wentorf
    steht doch ein beitrag weiter oben, ich würde sagen, das system ist gehörig verkorkst :-/
     
  10. #9 Goodspeed, 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Lies meinen ersten Post nochmal ... Du sollst per dpkg die Original-libs einspielen ... und nicht per apt-get ...
     
  11. Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    Hab ich gemacht...
     
  12. #11 Goodspeed, 01.08.2007
    Zuletzt bearbeitet: 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    O.k. ... Du hast also jetzt wieder die beiden Pakete, die Du "per Hand" reingekloppt hast, wieder auf die ursprüngliche Version gebracht.
    Hast Du noch irgendwas an der sources.list geschraubt? Poste die mal ...

    Noch mal kurz ... welches Ubuntu Release ist/war das? Feisty? Entsprechend den Abhängigkeiten sieht das irgendwie so als, als hättest Du Gusty (was auch immer das ist) in Deiner sources.list ...
     
  13. #12 Marvin, 01.08.2007
    Zuletzt von einem Moderator bearbeitet: 01.08.2007
    Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    Kann ich nicht synaptic so starten das er das ignoriert?
    .
    .
    .
    EDIT (autom. Beitragszusammenführung) :
    .

    Gusty ist glaube ich das neue Ubuntu.
    Wenn ich deine Libfreetype6 reinschraube dann kann ich kein Programm mehr starten nochnichteinmal X11...
    Ja ich hab Feisty.

    Sources.list:
    Code:
    # Repository List based on standard feisty with many extra packages
    #
    # If you get errors about missing keys, lookup the key in this file
    # and run these commands (replace KEY with the key number):
    #
    #  gpg --keyserver subkeys.pgp.net --recv KEY
    #  gpg --export --armor KEY | sudo apt-key add -
    #
    # If you have a gpg key URL use (replace URL with the key address):
    #
    #  wget URL --quiet -O - | sudo apt-key add -
    #
    # If you have a gpg key file use (replace FILE with the key file):
    #
    #  sudo apt-key add FILE
    #
    # In the repository list page there's also a script that can do this
    # work automatically, this is suggested only if you know what you're doing
    
    # Ubuntu supported packages (GPG key: 437D05B5)
    # deb cdrom:[Ubuntu 7.04 _Feisty Fawn_ - Release i386 (20070415)]/ feisty main restricted
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty main restricted
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-updates main restricted
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-security main restricted
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-proposed main restricted
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty main restricted
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-updates main restricted
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-security main restricted
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-proposed main restricted
    
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty universe multiverse
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-updates universe multiverse
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-security universe multiverse
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-proposed universe multiverse
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty universe multiverse
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-updates universe multiverse
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-security universe multiverse
    deb-src [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-proposed universe multiverse
    
    deb [url]http://de.archive.ubuntu.com/ubuntu/[/url] feisty-backports restricted main multiverse universe
    
     
  14. #13 Goodspeed, 01.08.2007
    Zuletzt bearbeitet: 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    ?? Du hast aktuell eine inkonsistente Paketverwaltung, da Du

    1. (essentielle) Pakete, die nicht zu Deiner Distribution gehören, per Hand eingespielt hast (haben wir hoffentlich bereinigt)

    2. Deine sources.list scheinbar nicht zu Deinem installierten Release passt.

    Dies solltest Du erstmal wieder auf den "Urzustand" bringen.
    Nach einem apt-get update sollte sich zumindest das ganze "Deinstallier-Drama" beruhigt haben ...

    P.S.: Hab Dein Posting mal angepasst ...

    P.P.S.: Poste mal bitte die Ausgabe von
    Code:
    apt-cache policy libfreetype6
    
    ... nach dem "apt-get update"
     
  15. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  16. #14 Marvin, 01.08.2007
    Zuletzt bearbeitet: 01.08.2007
    Marvin

    Marvin User

    Dabei seit:
    26.09.2006
    Beiträge:
    589
    Zustimmungen:
    0
    Ort:
    Zuhause
    Wie passt man einen Eintrag an???:brav:

    libfreetype6_2.2.1-5ubuntu1.1_i386.deb

    Soll ich libfreetype6_2.2.1-5ubuntu0.2_i386.deb oder libfreetype6_2.2.1-5ubuntu1.1_i386.deb nehmen?

    Aber jetzt kann ich keine Programme mehr starten, bis ich das neuere Paket draufmache z.B:

    marvin@UBUNTU-T40:~/Desktop$ sudo synaptic
    synaptic: symbol lookup error: /usr/lib/libcairo.so.2: undefined symbol: FT_Library_SetLcdFilter

    So das zeigt er an:

    marvin@UBUNTU-T40:~/Desktop$ sudo apt-cache policy libfreetype6
    libfreetype6:
    Installiert:2.2.1-5ubuntu1.1
    Mögliche Pakete:2.2.1-5ubuntu1.1
    Versions-Tabelle:
    *** 2.2.1-5ubuntu1.1 0
    500 http://de.archive.ubuntu.com feisty-security/main Packages
    100 /var/lib/dpkg/status
    2.2.1-5ubuntu1 0
    500 http://de.archive.ubuntu.com feisty/main Packages
     
  17. #15 Goodspeed, 01.08.2007
    Zuletzt bearbeitet: 01.08.2007
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Wenn die Frage auf meine "Modifikation" Deines Postings abzielt ...
    Code:
    -Box und entfernte Kommentare zum leichteren Lesen der sources.list ;)
    [color=red].
    .
    .
    [b]EDIT[/b]  (autom. Beitragszusammenführung) :
    .[/color]
    So sieht das aber erstmal korrekt aus. Hast Du noch andere Pakete "aktualisiert"?
    Was sagt denn 
    [code]
    apt-cache policy libc6 libcairo2
    
     
Thema:

APT-GET Problem

Die Seite wird geladen...

APT-GET Problem - Ähnliche Themen

  1. Problem bei apt-get upgrade (Kali 2.0)

    Problem bei apt-get upgrade (Kali 2.0): Hi, seit paar Tagen habe ich einige Probs. Dachte es sei mal an der Zeit für ein Update und nun tauchen da einige Fehler auf: Es müssen noch 0 B...
  2. apt-get problem - nach "Lese Changelogs... Fertig" geht's nicht mehr weiter...??!

    apt-get problem - nach "Lese Changelogs... Fertig" geht's nicht mehr weiter...??!: hallo zusammen, versuchte gerade gnome per apt-get install gnome zu installieren. der download klappt, aber nach der meldung "Lese...
  3. apt-get problem

    apt-get problem: Hi Leude, ich habe mal vor einem halben jahr pakete installiert wo die installation nicht 100%tig durchlief. wenn ich jetzt etwas installiere...
  4. Problem mit apt-get

    Problem mit apt-get: Seit kurzen erscheint bei allen Paketinstallationen und -updates folgende Fehlermeldung. Auch wenn ich versuche das besagte Paket zu...
  5. Noch ein kleines Problem mit apt-get update

    Noch ein kleines Problem mit apt-get update: Kann mir jemand die Fehler erklären und wie man das abstellt. OK http://ftp.de.debian.org etch/non-free Packages 99% [8 Packages bzip2 0]...